树莓派2安装php5-fpm出错解决方法

树莓派2已经买入三个月了,包括主机、盒子、电源、摄像头、无线网卡等共花了360多块钱。

开始做系统是用Win32DiskImager写入的raspbian镜像包,后来系统启动出现故障,重写后依旧,如此几次,果断换了张16G的TF卡。

但感觉raspbian系统镜像包似乎不稳定,新卡使用了Noobs安装包(2015年12月版本)。

后来,在树莓派2上安装了摄像头,并实现自动定时抓拍图片上传到百度云(2T空间)上面。
安装方法链接:http://www.zhengyali.com/?p=126

但既然做了迷你服务器,何不继续将PHP平台也搭建上,提供点其他的数据类服务。

选定了nginx+php5+sqlite方案,但除了php5-fpm,其他安装一切正常。

提示大堆依赖包未安装,但安装依赖包又出现已安装或错误。

网上找软件源,更新各个sources.list里的软件源网址。

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install php5-fpm

包括使用官方源,错误依旧。

折腾了两个星期,实在没办法了,下载php5-fpm_5.4.45-0+deb7u2.armhf.deb安装包,进行手动安装。

出错不能继续,使用upgrade后还自动删除掉了。

还是在软件源上找问题,重新来到“树莓派实验室”找到“raspbian中国软件源”一文,链接如后:http://shumeipai.nxez.com/2013/08/31/raspbian-chinese-software-source.html

文章最后加了一句:
现在版本升级了,版本号要更改,把wheezy 改成jessie这样大部分源是在中国,不然像楼上那样升级,大部分源在国外。

果断修改软件源里的wheezy为jessie
2016-03-01_192549-0.jpg

更新、升级,安装php5-fpm成功!

为您推荐

发表评论

电子邮件地址不会被公开。 必填项已用*标注

1条评论